Package org.apache.xmlbeans

## Interface XmlInteger

- All Superinterfaces:
    `XmlAnySimpleType`, `XmlDecimal`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `All.MinOccurs`, `NarrowMaxMin.MinOccurs`, `XmlByte`, `XmlInt`, `XmlLong`, `XmlNegativeInteger`, `XmlNonNegativeInteger`, `XmlNonPositiveInteger`, `XmlPositiveInteger`, `XmlShort`, `XmlUnsignedByte`, `XmlUnsignedInt`, `XmlUnsignedLong`, `XmlUnsignedShort`
  All Known Implementing Classes:
    `AllImpl.MaxOccursImpl`, `AllImpl.MinOccursImpl`, `AllNNIImpl`, `NarrowMaxMinImpl.MaxOccursImpl`, `NarrowMaxMinImpl.MinOccursImpl`, `XmlByteImpl`, `XmlIntegerImpl`, `XmlIntegerRestriction`, `XmlIntImpl`, `XmlIntRestriction`, `XmlLongImpl`, `XmlLongRestriction`, `XmlNegativeIntegerImpl`, `XmlNonNegativeIntegerImpl`, `XmlNonPositiveIntegerImpl`, `XmlPositiveIntegerImpl`, `XmlShortImpl`, `XmlUnsignedByteImpl`, `XmlUnsignedIntImpl`, `XmlUnsignedLongImpl`, `XmlUnsignedShortImpl`

      public interface XmlInteger
      extends XmlDecimal

  Corresponds to the XML Schema xs:integer type. One of the derived types based on xs:decimal.

  This type should not be confused with xs:int or Java `Integer`. This type represents an arbitrary-precision integer with any number of digits, while a Java int or an xs:int is a 32-bit finite-precision integer.

  Convertible to a Java `BigInteger`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static XmlObjectFactory<XmlInteger>` | `Factory` |
    `static SchemaType` | `type` | The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigInteger` | `getBigIntegerValue()` | Returns this value as a `BigInteger`
    `void` | `setBigIntegerValue​(BigInteger bi)` | Sets this value as a `BigInteger`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlInteger> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getBigIntegerValue

          BigInteger getBigIntegerValue()

      Returns this value as a `BigInteger`

    - #### setBigIntegerValue

          void setBigIntegerValue​(BigInteger bi)

      Sets this value as a `BigInteger`